GetSCIMConfiguration
POST/gitpod.v1.OrganizationService/GetSCIMConfiguration
Retrieves a specific SCIM configuration.
Use this method to:
- View SCIM configuration details
- Check if SCIM is enabled
- Verify SSO linkage
Examples
-
Get SCIM configuration:
Retrieves details of a specific SCIM configuration.
scimConfigurationId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
GetSCIMConfiguration
curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/GetSCIMConfiguration \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $GITPOD_API_KEY" \
-d '{
"scimConfigurationId": "d2c94c27-3b76-4a42-b88c-95a85e392c68"
}'{
"scimConfiguration": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"createdAt": "2019-12-27T18:11:19.117Z",
"organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"tokenExpiresAt": "2019-12-27T18:11:19.117Z",
"updatedAt": "2019-12-27T18:11:19.117Z",
"enabled": true,
"name": "name",
"ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
}Returns Examples
{
"scimConfiguration": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"createdAt": "2019-12-27T18:11:19.117Z",
"organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"tokenExpiresAt": "2019-12-27T18:11:19.117Z",
"updatedAt": "2019-12-27T18:11:19.117Z",
"enabled": true,
"name": "name",
"ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
}